Bug 164451 - [PATCH] NM dies when wrong WEP key entered
[PATCH] NM dies when wrong WEP key entered
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
4
All Linux
high Severity medium
: ---
: ---
Assigned To: Dan Williams
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-27 18:42 EDT by Bill Moss
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-09 21:21:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for NetworkManagerDevice.c (762 bytes, patch)
2005-07-28 19:15 EDT, Bill Moss
no flags Details | Diff

  None (edit)
Description Bill Moss 2005-07-27 18:42:44 EDT
Description of problem: NM dies when wrong WEP key entered in the Passphrase dialog


Version-Release number of selected component (if applicable): CVS HEAD 1.436


How reproducible: Every time


Steps to Reproduce: 
* Login as user with no NM gconf or keyring data stored, NM service running,
nm-applet running, AP broadcasting its essid

* Click on progress bar for AP

* Note the gconf now contains the essid and timestamp

* type wrong HEX WEP key in Passphrase dialog and enter the default keyring
password when prompted. OK

* NM service dies but PID file still exists. nm-applet still running.

* gconf now also contains the key_type

* restart the NM service

* enter correct HEX WEP key.

* connection made and WEP key updated in keyring.
  
Actual results: NM dies.


Expected results: After a failure to connect, NM should display an error message
telling the user that the WEP key is wrong.

Additional info:
Comment 1 Bill Moss 2005-07-28 19:15:03 EDT
Created attachment 117252 [details]
patch for NetworkManagerDevice.c

The patch fixes the bug reported above. Under the conditions described, the
allowed_ap is NULL at the point when the auth_meth for the allowed_ap is first
updated. This update can be avoided using an if statement.
Comment 2 Dan Williams 2005-10-09 21:21:27 EDT
Ok, updated and committed to CVS.  Thanks for the ping.

Note You need to log in before you can comment on or make changes to this bug.